package com.ss.android.ugc.aweme.ml.infra;

import X.3ds;
import X.C0678RQc;
import X.C0697RQv;
import X.C0698RQw;
import X.RQT;
import com.bytedance.covode.number.Covode;
import java.util.Map;

public final class SmartMLSceneServiceDefault extends SmartMLSceneService {
    static {
        Covode.recordClassIndex(93033);
    }

    public final void configSceneModel(String str, SmartSceneConfig smartSceneConfig) {
    }

    public final boolean enable(String str) {
        return false;
    }

    public final void ensureEnvAvailable(String str) {
    }

    public final RQT getSmartRunner(String str) {
        return null;
    }

    public final boolean isEnvReady(String str) {
        return false;
    }

    public final int lastRunErrorCode(String str) {
        return -100;
    }

    public final C0678RQc lastSuccessRunResult(String str) {
        return null;
    }

    public final void run(String str, C0698RQw rQw, 3ds r3, C0697RQv rQv) {
    }

    public final void runDelay(String str, long j, C0698RQw rQw, 3ds r5, C0697RQv rQv) {
    }

    public final Map<String, Object> runSync(String str, C0698RQw rQw, 3ds r4) {
        return null;
    }
}
